curl --request PATCH \
--url https://api.snappy.com/public-api/v2/gifts/{giftId} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"customization": {
"giftProperties": {
"budget": {
"max": 100,
"min": 76
},
"selectedGiftType": "collection",
"collection": {
"id": "12345678",
"featuredProductId": "12345678"
},
"product": {
"id": "12345678",
"displayType": "displayAsSurprise"
},
"expiration": {
"type": "specificDate",
"date": "2022-12-06T09:50:38.536Z"
},
"guaranteedGift": {
"type": "specificDate",
"date": "2022-12-06T09:50:38.536Z"
}
},
"notificationPolicy": {
"sendingChannels": [
"mail",
"sms"
],
"disableReminders": false
},
"recipientExperience": {
"type": "enterAddress",
"visualElements": {
"reveal": {
"type": "snowGlobe",
"primaryColor": "#000000",
"secondaryColor": "#000000",
"mediaItems": {
"background": [
{
"type": "image",
"url": "https://example.com/image.jpg"
}
],
"logo": [
{
"type": "image",
"url": "https://example.com/image.jpg"
}
]
}
},
"greeting": {
"content": {
"ops": [
{
"attributes": {
"font": "pacifico"
},
"insert": "Happy Birthday!"
}
],
"customProperty": "customValue"
},
"banner": {
"text": "<string>",
"color": "<string>",
"mediaItems": {
"background": [
{
"type": "image",
"url": "https://example.com/image.jpg"
}
],
"logo": [
{
"type": "image",
"url": "https://example.com/image.jpg"
}
]
}
}
}
},
"postClaim": {
"redirectAfterClaim": "https://example.com/redirect"
}
}
}
}
'{
"id": "<string>",
"companyId": "12345678",
"campaignId": "<string>",
"status": "<string>",
"budgetPlan": 123,
"tyn": "<string>",
"estimatedCost": {
"budget": 100,
"estimatedFee": 2,
"estimatedTax": 7,
"estimatedTotalCost": 109
},
"expirationDate": "2022-12-06T09:50:38.536Z",
"createdAt": "<string>",
"link": "<string>",
"success": true,
"deliveryDetails": {
"carrier": "<string>",
"trackingNumber": "<string>",
"status": "orderReceived",
"trackingLink": "<string>",
"deliveredAt": "2022-12-06T09:50:38.536Z",
"outForDelivery": "2022-12-06T09:50:38.536Z",
"outForDeliveryDate": "2022-12-06T09:50:38.536Z"
},
"finalCost": {
"cost": 100,
"finalFee": 2,
"finalTax": 7,
"totalFinalCost": 109
},
"recipient": {
"firstname": "John",
"lastname": "Doe",
"externalId": "1234567890",
"phone": "+1234567890",
"email": "example@domain.com",
"key": "abc123"
},
"orders": [
{
"id": "<string>",
"status": "active",
"orderedProducts": [
{
"selectedProduct": {
"variantId": "<string>",
"orderStatus": "processing",
"title": "<string>",
"type": "physicalGift"
},
"deliveryDetails": {
"status": "orderReceived",
"carrier": "<string>",
"trackingNumber": "<string>",
"trackingLink": "<string>",
"deliveryDates": {
"outForDelivery": "2023-11-07T05:31:56Z",
"estimated": "2023-11-07T05:31:56Z",
"deliveredAt": "2023-11-07T05:31:56Z"
}
}
}
],
"orderRecipient": {
"firstName": "John",
"lastName": "Doe",
"country": "US"
}
}
],
"customization": {
"giftProperties": {
"budget": {
"max": 100,
"min": 76
}
},
"recipientNotifications": {
"sendingChannels": [
"mail",
"sms"
],
"disableReminders": false
},
"recipientExperience": {
"type": "enterAddress",
"visualElements": {
"reveal": {
"type": "snowGlobe",
"primaryColor": "#000000",
"secondaryColor": "#000000"
},
"greeting": {
"content": {
"ops": [
{
"insert": "Happy Birthday!"
}
]
},
"banner": {
"text": "Happy Birthday!",
"color": "#000000",
"mediaItems": {
"background": [
{
"type": "image",
"url": "https://example.com/image.jpg"
}
]
}
}
},
"postClaim": {
"redirectAfterClaim": "https://example.com/redirect"
}
}
}
}
}Use this API to update the details of a specific gift that hasn’t been claimed yet.
gifts:updatecurl --request PATCH \
--url https://api.snappy.com/public-api/v2/gifts/{giftId} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"customization": {
"giftProperties": {
"budget": {
"max": 100,
"min": 76
},
"selectedGiftType": "collection",
"collection": {
"id": "12345678",
"featuredProductId": "12345678"
},
"product": {
"id": "12345678",
"displayType": "displayAsSurprise"
},
"expiration": {
"type": "specificDate",
"date": "2022-12-06T09:50:38.536Z"
},
"guaranteedGift": {
"type": "specificDate",
"date": "2022-12-06T09:50:38.536Z"
}
},
"notificationPolicy": {
"sendingChannels": [
"mail",
"sms"
],
"disableReminders": false
},
"recipientExperience": {
"type": "enterAddress",
"visualElements": {
"reveal": {
"type": "snowGlobe",
"primaryColor": "#000000",
"secondaryColor": "#000000",
"mediaItems": {
"background": [
{
"type": "image",
"url": "https://example.com/image.jpg"
}
],
"logo": [
{
"type": "image",
"url": "https://example.com/image.jpg"
}
]
}
},
"greeting": {
"content": {
"ops": [
{
"attributes": {
"font": "pacifico"
},
"insert": "Happy Birthday!"
}
],
"customProperty": "customValue"
},
"banner": {
"text": "<string>",
"color": "<string>",
"mediaItems": {
"background": [
{
"type": "image",
"url": "https://example.com/image.jpg"
}
],
"logo": [
{
"type": "image",
"url": "https://example.com/image.jpg"
}
]
}
}
}
},
"postClaim": {
"redirectAfterClaim": "https://example.com/redirect"
}
}
}
}
'{
"id": "<string>",
"companyId": "12345678",
"campaignId": "<string>",
"status": "<string>",
"budgetPlan": 123,
"tyn": "<string>",
"estimatedCost": {
"budget": 100,
"estimatedFee": 2,
"estimatedTax": 7,
"estimatedTotalCost": 109
},
"expirationDate": "2022-12-06T09:50:38.536Z",
"createdAt": "<string>",
"link": "<string>",
"success": true,
"deliveryDetails": {
"carrier": "<string>",
"trackingNumber": "<string>",
"status": "orderReceived",
"trackingLink": "<string>",
"deliveredAt": "2022-12-06T09:50:38.536Z",
"outForDelivery": "2022-12-06T09:50:38.536Z",
"outForDeliveryDate": "2022-12-06T09:50:38.536Z"
},
"finalCost": {
"cost": 100,
"finalFee": 2,
"finalTax": 7,
"totalFinalCost": 109
},
"recipient": {
"firstname": "John",
"lastname": "Doe",
"externalId": "1234567890",
"phone": "+1234567890",
"email": "example@domain.com",
"key": "abc123"
},
"orders": [
{
"id": "<string>",
"status": "active",
"orderedProducts": [
{
"selectedProduct": {
"variantId": "<string>",
"orderStatus": "processing",
"title": "<string>",
"type": "physicalGift"
},
"deliveryDetails": {
"status": "orderReceived",
"carrier": "<string>",
"trackingNumber": "<string>",
"trackingLink": "<string>",
"deliveryDates": {
"outForDelivery": "2023-11-07T05:31:56Z",
"estimated": "2023-11-07T05:31:56Z",
"deliveredAt": "2023-11-07T05:31:56Z"
}
}
}
],
"orderRecipient": {
"firstName": "John",
"lastName": "Doe",
"country": "US"
}
}
],
"customization": {
"giftProperties": {
"budget": {
"max": 100,
"min": 76
}
},
"recipientNotifications": {
"sendingChannels": [
"mail",
"sms"
],
"disableReminders": false
},
"recipientExperience": {
"type": "enterAddress",
"visualElements": {
"reveal": {
"type": "snowGlobe",
"primaryColor": "#000000",
"secondaryColor": "#000000"
},
"greeting": {
"content": {
"ops": [
{
"insert": "Happy Birthday!"
}
]
},
"banner": {
"text": "Happy Birthday!",
"color": "#000000",
"mediaItems": {
"background": [
{
"type": "image",
"url": "https://example.com/image.jpg"
}
]
}
}
},
"postClaim": {
"redirectAfterClaim": "https://example.com/redirect"
}
}
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.snappy.com/llms.txt
Use this file to discover all available pages before exploring further.
Company level authentication provides access to all resources under your company, including accounts, campaigns, gifts, and recipients.
POST /v2/authentication/apiKeys endpoint to generate a new API keyInclude your API key in the X-Api-Key header for every request:
X-Api-Key: YOUR_24_CHARACTER_API_KEYFor production environments, enable mutual TLS authentication:
enforceMtls: true when creating the API keyhttps://mtls-api.snappy.com/public-apiGift ID
^[A-Za-z0-9]{8,}$"abc123de"
Company ID
^[A-Za-z0-9]{8,}$"12345678"
Gift configuration to patch
Show child attributes
Ok
The Gift object.
The gift identifier
The company id
"12345678"
The campaign identifier
The status of the gift.
The budget plan of the gift. This field is deprecated, use "customization.giftProperties.budget" instead.
A Thank You Note sent by the end client.
The estimated cost of the gift including estimated tax and fee.
Show child attributes
{
"budget": 100,
"estimatedFee": 2,
"estimatedTax": 7,
"estimatedTotalCost": 109
}When the gift will be expired. Date Format: YYYY-MM-DDThh:mm:ss.sZ. This field is deprecated, use "customization.giftProperties.expiration" instead.
"2022-12-06T09:50:38.536Z"
When the gift was originally created. Date Format: YYYY-MM-DDThh:mm:ss.sZ. e.g. 2022-12-06T09:50:38.536Z
The link used to redeem the gift.
The success of the gift creation
The Delivery Details object.
Show child attributes
The final cost of the gift including tax and fee.
Show child attributes
{
"cost": 100,
"finalFee": 2,
"finalTax": 7,
"totalFinalCost": 109
}The gift recipient object.
Show child attributes
{
"firstname": "John",
"lastname": "Doe",
"externalId": "1234567890",
"phone": "+1234567890",
"email": "example@domain.com",
"key": "abc123"
}Show child attributes
Complete gift customization configuration
Show child attributes
Was this page helpful?